/**
 *  @file Sketch.ino
 *  @brief Standard sketch file used only to link to the specific application code
 *
 *  Arduino code for Flying Silicon Airspeed/Vario Probe and TotalVario Android app.
 *
 *  For more information refer to:
 *  https://flyingsilicon.blogspot.com/ <br>
 *  https://totalvario.blogspot.com/
 *
 *  For board Seeed XIAO nRF52840 2.9.2 with Adafruit bluefruit library (bluefruit.h)
 *
 *  Compile and flash with Arduino IDE (1.8.19) or Arduino CLI
 *
 *  Core library: Seeeduino nrf52 1.1.4
 *
 *  Additional libraries:
 *   Adafruit_BusIO
 *   Adafruit_DPS310
 *   Adafruit_Unified_Sensor
 *   arduino-sdp-master
 *   Sensirion_I2C_SHT4x
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 *  See the GNU General Public License <http://www.gnu.org/licenses/>
 *  for more details.
 */

// silently added by Arduino in build process
#include <Arduino.h>
// application
#include "fsSensor.h"

/**
 * <b>Arduino API main loop</b>
 */
void loop(void) {
   appLoop();
}

/**
 * <b>Arduino API setup procedure</b>
 */
void setup(void) {
   appSetup();
}
