/**
 *  @file debug.h
 *  @brief Debug log macros
 *
 *  Arduino code for Flying Silicon Airspeed/Vario Probe and TotalVario Android app.
 *
 *  For more information refer to:
 *  https://flyingsilicon.blogspot.com/ <br>
 *  https://totalvario.blogspot.com/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 *  See the GNU General Public License <http://www.gnu.org/licenses/>
 *  for more details.
 */
#ifndef _DEBUG_H_
#define _DEBUG_H_

//! Enable/disable debugging
#define DEBUG  0

// Macros
#if (DEBUG)
//! Write something to the serial console
#define LOG(s) { Serial.print(s); }
//! Write something to the serial console and terminate the line with CRLF
#define LOGL(s) { Serial.print(s); Serial.print("\r\n"); }
#else
//! Debug log inactive
#define LOG(s) {}
//! Debug log inactive
#define LOGL(s) {}
#endif

#endif // _DEBUG_H_
