/**
 *  @file deepSleep.h
 *  @brief Support for nrf52 deep sleep / low power modes
 *
 *  Arduino code for Flying Silicon Airspeed/Vario Probe and TotalVario Android app.
 *
 *  For more information refer to:
 *  https://flyingsilicon.blogspot.com/ <br>
 *  https://totalvario.blogspot.com/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 *  See the GNU General Public License <http://www.gnu.org/licenses/>
 *  for more details.
 */
#ifndef _DEEPSLEEP_H_
#define _DEEPSLEEP_H_

#ifndef ARDUINO_ARCH_NRF52
#error Not compatible with active board
#endif

int setLowPowerMode(void);
void enterDeepSleep(void);

#endif // _DEEPSLEEP_H_

