/**
 *  @file pindefs.h
 *  @brief Pin definitions for Seeed XIAO nRF52840 2.9.2 with Adafruit bluefruit library
 *
 *  Arduino code for Flying Silicon Airspeed/Vario Probe and TotalVario Android app.
 *
 *  For more information refer to:
 *  https://flyingsilicon.blogspot.com/ <br>
 *  https://totalvario.blogspot.com/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 *  See the GNU General Public License <http://www.gnu.org/licenses/>
 *  for more details.
 */
#ifndef _PINDEFS_H
#define _PINDEFS_H

// Buzzer pin
#define PIN_BUZZER        D1
// USB power sense pin
#define PIN_USB           D10
// Charge current select pin
#define PIN_HICHG         PIN_CHARGING_CURRENT
// Battery sense enable pin
#define PIN_BATTV_ENABLE  VBAT_ENABLE
// Battery voltage sense pin
#define PIN_BATTV         PIN_VBAT
// Charging state
#define PIN_CHG           23

#define ANALOG_REFV  AR_INTERNAL_2_4

// Map LED definitions
#define LEDR         LED_RED
#define LEDG         LED_GREEN
#define LEDB         LED_BLUE

#endif // _PINDEFS_H


