/**
 *  @file pwrSupply.h
 *  @brief Manage power supply status of the device
 *
 *  Arduino code for Flying Silicon Airspeed/Vario Probe and TotalVario Android app.
 *
 *  For more information refer to:
 *  https://flyingsilicon.blogspot.com/ <br>
 *  https://totalvario.blogspot.com/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 *  See the GNU General Public License <http://www.gnu.org/licenses/>
 *  for more details.
 */
#ifndef _PWRSUPPLY_H_
#define _PWRSUPPLY_H_

namespace PwrSupply {

void reset(void);
int isUsbConnected(void);
int isBatPowered(void);
int isBatDrained(void);
int isUsbOnly(void);

int isCharging(void);
float getBatPct(void);
float getBatVolt(void);

void updateState(void);

}

#endif // _PWRSUPPLY_H_
